Forum Sketchup Artlantis Archicad
Vous souhaitez réagir à ce message ? Créez un compte en quelques clics ou connectez-vous pour continuer.
Galerie


[Plugin] réalisation des membres du forum (de la Team, ca fait Pro!!!) Empty
Ton bloc notes
Derniers sujets
» [ WIP ]Mon petit labo...by ogi
par simjoubert Aujourd'hui à 16:35

» [ MATOS INFORM. ] bonnes nouvelles pour les aficionados de Mac
par ogi Aujourd'hui à 16:20

» [ PRESENTATION ]
par freroil Aujourd'hui à 16:14

» [ TWINMOTION ] Plantage à la synchronisation direct link ARCHICAD/TWINMOTION
par tenrev Aujourd'hui à 14:55

» [AUTRES LOGICIELS] Vectary
par Pilou Aujourd'hui à 0:07

» [ BLENDER ] Modificateur sur plusieurs maillages
par REGIS Hier à 22:19

» [ ARCHICAD ] Configurer la projection des surfaces sur un maillage ?
par Farkas Hier à 20:31

» [ ENSCAPE ] Manette XBox
par simjoubert Hier à 14:26

» [ ARCHICAD ] Cotation ouvertures dans mur courbe!?
par Coulou Hier à 13:53

» [ PRESENTATION ] Fanou Peb
par FanouPeb Ven 22 Oct 2021 - 18:19

» [ ENSCAPE ] Accès calques BIM dans le fichier exécutable ou cloud ?
par tenrev Ven 22 Oct 2021 - 16:51

» [ TECHNOLOGIE DU BATIMENT ] Passion architecture
par VertiKal Ven 22 Oct 2021 - 14:59

» [ SKETCHUP plugins ] sj_AddDCFunctions
par tenrev Ven 22 Oct 2021 - 13:20

» [ ARCHICAD-OBJETS GDL ] Bibliothèque de migration archicad 9
par freroil Ven 22 Oct 2021 - 9:11

» [ SKETCHUP composants dynamiques ] OnClick Copie composant
par simjoubert Jeu 21 Oct 2021 - 21:00

» [ SKETCHUP plugins ] Skatter 2 - un exemple d'utilisation
par tenrev Mer 20 Oct 2021 - 11:05

» [ AUTRES LOGICIELS ] Aperçu de Houdini version 19 - sortie prochaine
par Yanosh HRDY Mer 20 Oct 2021 - 9:25

» [ AUTRES LOGICIELS ] davinci resolve
par tenrev Mar 19 Oct 2021 - 12:01

» [ ARCHICAD ] TUTO - Créer un fichier modèle ArchiCad
par Coulou Mar 19 Oct 2021 - 9:25

» [ AUTRES LOGICIELS ] SOUNDLY Une Mine d'Or d'Effets Sonores pour vos animations
par tenrev Lun 18 Oct 2021 - 14:18

» [ BLENDER ] Animation d'une boule de feu
par tenrev Sam 16 Oct 2021 - 15:43

» [ SKETCHUP généralité ] Profils et Contre-Profil Menuiserie
par Pilou Sam 16 Oct 2021 - 11:09

» [ TWINMOTION ] Les 5 jours d'inspiration 2021!
par Pilou Ven 15 Oct 2021 - 19:50

» [ UNREAL ENGINE ] de twinmotion vers unreal engine - vidéo webinar en anglais
par tenrev Ven 15 Oct 2021 - 17:14

» [ SKETCHUP généralité ] SketchUp pour iPad
par REGIS Jeu 14 Oct 2021 - 22:21

» [ AUTRES LOGICIELS ] Nomad Sculpt
par Pilou Mer 13 Oct 2021 - 23:51

» [ SKETCHUP composants dynamiques ] composant dynamique avec proxy 2d pour choix des coloris
par Rascal Mer 13 Oct 2021 - 21:47

» [ AUTRES LOGICIELS ] Verve sous le sapin de Noël!
par Pilou Mer 13 Oct 2021 - 17:04

» [ SKETCHUP généralité ] 3D WAREHOUSE Importer, Télécharger, Exporter avec 2017
par tenrev Mer 13 Oct 2021 - 15:23

» [ SKETCHUP ruby ] Peux-ton réaliser des enregistrement de macro dans SketchUp ?
par JDD Mer 13 Oct 2021 - 14:25

» [ SKETCHUP plugins ] Skatter 2 disponible
par Rascal Mar 12 Oct 2021 - 18:44

» [ OBJETS ET BILLBOARDS ] Création de personnage
par tenrev Mar 12 Oct 2021 - 16:41

» [ SKETCHUP généralité ] Profil Builder
par Rascal Lun 11 Oct 2021 - 19:16

» [ TWINMOTION ] Retour d'expérience sur le challenge n°7
par AK40Cess Lun 11 Oct 2021 - 9:38

» [ ARCHICAD ] Réalisation de chevronnière
par lena29 Ven 8 Oct 2021 - 23:51

[Plugin] réalisation des membres du forum (de la Team, ca fait Pro!!!)

Voir le sujet précédent Voir le sujet suivant Aller en bas

c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Ven 20 Nov 2009 - 23:03

Pour le Fun Jack, un petit essai de script pour le Forum

Code:

# cp
def monforum
   prompts = ["Votre choix ?"]
   defaults = ["Biblio3D"]
   list = ["Biblio3D|Blog de Jack|Site de Chrismat|Site de Ogi|Blog d'Axx"]
   results = UI.inputbox prompts, defaults, list, "Mes forums Favoris."
      if results.to_s == "Biblio3D"
         results = "http://www.biblio3d.com/forum.htm"
      else
         if results.to_s == "Blog de Jack"
         results = "http://www.biblio3d.hbg.fr"
         else
            if results.to_s == "Site de Chrismat"
            results = "http://www.paysaginfo.fr"   
            else
               if results.to_s == "Site de Ogi"
               results = "http://www.ogi.comli.com"   
               else
                  results = "http://sketchupfrance.blogspot.com"
               end
            end
         end
      end
      status = UI.openURL results
      
end
    UI.menu("Plugins").add_item("Mes Forums"){ monforum }
   UI.add_context_menu_handler do |context_menu|
   context_menu.add_separator
   context_menu.add_item("Mes Forums") { monforum }
   end


[Plugin] réalisation des membres du forum (de la Team, ca fait Pro!!!) Sans_t10


Arrow Lien pour tester le plugin

Christophe


Dernière édition par c.plassais le Ven 5 Fév 2010 - 17:19, édité 4 fois
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Mar 24 Nov 2009 - 12:42

Code:
pt1=[0,0,0]
pt2=[50,0,0]
pt3=[0,50,0]
pt4=[50,50,0]
pt5=[0,0,50]
pt6=[50,0,50]
pt7=[0,50,50]
pt8=[50,50,50]
model = Sketchup.active_model
model.entities.add_line(pt1, pt2)
model.entities.add_line(pt1, pt3)
model.entities.add_line(pt1, pt5)
model.entities.add_line(pt5, pt7)
model.entities.add_line(pt5, pt6)
model.entities.add_line(pt4, pt3)
model.entities.add_line(pt4, pt2)
model.entities.add_line(pt4, pt8)
model.entities.add_line(pt8, pt7)
model.entities.add_line(pt8, pt6)
model.entities.add_line(pt3, pt7)
model.entities.add_line(pt2, pt6)


Dernière édition par c.plassais le Mar 24 Nov 2009 - 15:19, édité 1 fois

-------------------------------------------------------------------------------------------------------------------------
Mon Blog : Plugins Sketchup ChrisP
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Mar 24 Nov 2009 - 12:44

Code:
#-------------------------------------------------------------------
require 'sketchup.rb'
#-------------------------------------------------------------------

def nombre_groupe
sCount = format("%d", Sketchup.active_model.entities.count)
msg = $exStrings.GetString("Nombre de groupe = ") sCount
UI.messagebox(msg)
end
#-------------------------------------------------------------------
if( not file_loaded?("NB_Objet.rb") )
add_separator_to_menu("Plugins")
UI.menu("Plugins").add_item($exStrings.GetString("Groupe")) { nombre_groupe }
end
#-------------------------------------------------------------------
file_loaded("NB_Objet.rb")

-------------------------------------------------------------------------------------------------------------------------
Mon Blog : Plugins Sketchup ChrisP
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Ven 27 Nov 2009 - 14:07

Un petit essai de plugin pour comptabiliser les entités d'un modèle par nature sur la base de Arrow l'idée d'Axx, avec une version anglaise pour le fun (il suffit de copier le fichier .string dans le répertoire resources de Sketchup.

[Plugin] réalisation des membres du forum (de la Team, ca fait Pro!!!) Sans_t11

[Plugin] réalisation des membres du forum (de la Team, ca fait Pro!!!) Sans_t12

Code de NB_Objet.rb :

Code:

require 'LangHandler.rb'
$exStrings = LanguageHandler.new("NB_Objet.strings")
def nombre_groupe
   model = Sketchup.active_model
   entities = model.active_entities
   # selection = model.selection
   
   edges = []
   faces = []
   comps = []
   groups = []
   entities.each do |e|
     edges.push e if e.is_a? Sketchup::Edge
     faces.push e if e.is_a? Sketchup::Face
     comps.push e if e.is_a? Sketchup::ComponentInstance
     groups.push e if [u]e.is_a? Sketchup::Group
   end
   UI.messagebox $exStrings.GetString("Nombre d'arêtes      : ") + "\t" + edges.length.to_s + "\n" + $exStrings.GetString("Nombre de faces      :") + "\t\t" + faces.length.to_s +[/u] "\n" + $exStrings.GetString("Nombre de composants : ") + "\t" + comps.length.to_s + "\n" + $exStrings.GetString("Nombre de groupes    : ") + "\t" + groups.length.to_s + "\n" + $exStrings.GetString("Nombre d'entitées  :") + "\t\t" + entities.length.to_s
end
if( not file_loaded?("NB_Objet.rb") )
add_separator_to_menu("Plugins")
UI.menu("Plugins").add_item ($exStrings.GetString "Groupe") { nombre_groupe }
end
file_loaded("NB_Objet.rb")

Fichier string :

Code:

http://NB_Objet.rb
"Groupe"="Group";
"Nombre d'arêtes      : "="Number of edges      : ";
"Nombre de faces      :"="Number of faces    : ";
"Nombre de composants : "="Number of Components : ";
"Nombre de groupes    : "="Number of Groups    : ";
"Nombre d'entitées  :"="Number of Entities : ";

Arrow Plugin NB_Objet.rb

Christophe

-------------------------------------------------------------------------------------------------------------------------
Mon Blog : Plugins Sketchup ChrisP

Voir le sujet précédent Voir le sujet suivant Revenir en haut

Créer un compte ou se connecter pour répondre

Vous devez être membre pour répondre.

S'enregistrer

Rejoignez notre communauté ! C'est facile !


S'enregistrer

Connexion

Vous êtes déjà membre ? Aucun soucis, cliquez ici pour vous connecter.


Connexion

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum